Change log for swauth package in Ubuntu

116 of 16 results
Deleted in eoan-release (Reason: (From Debian) ROM; Python 2 only, not compatible with new...)
Published in disco-release on 2018-11-11
Deleted in disco-proposed (Reason: moved to release)
swauth (1.3.0-2) unstable; urgency=medium

  * d/rules: Use dh_missing --fail-missing
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/copyright: Bump my copyright year
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Change Maintainer from @lists.alioth.debian.org to
    @tracker.debian.org
  * Bump standards version to 4.2.1 (no changes)
  * Bump debhelper compat level to 11
  * Use Python 3 version of Sphinx for building docs
  * Add upstream metadata
  * Add overrides for insane long lines of webadmin

 -- Ondřej Nový <email address hidden>  Sat, 29 Sep 2018 19:40:32 +0200

Available diffs

Published in bionic-updates on 2018-06-21
Deleted in bionic-proposed (Reason: moved to -updates)
swauth (1.3.0-1ubuntu1) bionic; urgency=medium

  [ Edward Hope-Morley ]
  * d/control: Add Breaks and Replaces rules to ensure python-swauth package
    is removed on upgrade (LP: #1772681).

  [ Corey Bryant ]
  * d/control: Add transitional package for python-swauth to ensure upgrades
    of python-swauth retain transitional package that depends on swauth
    (LP: #1772681).

 -- Corey Bryant <email address hidden>  Thu, 07 Jun 2018 13:36:20 -0400
Published in artful-updates on 2018-06-21
Deleted in artful-proposed (Reason: moved to -updates)
swauth (1.2.0-3ubuntu1) artful; urgency=medium

  [ Edward Hope-Morley ]
  * d/control: Add Breaks and Replaces rules to ensure python-swauth package
    is removed on upgrade (LP: #1772681).

  [ Corey Bryant ]
  * d/control: Add transitional package for python-swauth to ensure upgrades
    of python-swauth retain transitional package that depends on swauth
    (LP: #1772681).

 -- Corey Bryant <email address hidden>  Thu, 07 Jun 2018 13:41:16 -0400
Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-12-10
Deleted in bionic-proposed (Reason: moved to release)
swauth (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/p/CVE-2017-16613: Remove, applied upstream
  * Fix B-D/D for new upstream release
  * Add breaks swift-plugin-s3 older than 1.12
  * Standards-Version is 4.1.2 now (no changes needed)

 -- Ondřej Nový <email address hidden>  Sat, 09 Dec 2017 17:46:39 +0100

Available diffs

Obsolete in zesty-updates on 2018-06-22
Obsolete in zesty-security on 2018-06-22
swauth (1.2.0-2+deb9u1ubuntu0.17.04.1) zesty-security; urgency=medium

  * fake sync from Debian

  [ Ondřej Nový ]
  * Fix FTBFS with new Sphinx (Closes: #868598)

Superseded in bionic-release on 2017-12-10
Deleted in bionic-proposed on 2017-12-11 (Reason: moved to release)
swauth (1.2.0-4) unstable; urgency=high

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * Hash token before storing it in Swift
    (CVE-2017-16613, Closes: #882314)

 -- Ondřej Nový <email address hidden>  Tue, 21 Nov 2017 12:24:54 +0100

Available diffs

Superseded in bionic-release on 2017-11-25
Published in artful-release on 2017-07-19
Deleted in artful-proposed (Reason: moved to release)
swauth (1.2.0-3) unstable; urgency=medium

  * Fix FTBFS with new Sphinx (Closes: #868598)
  * d/copyright: Bump copyright years
  * Suggest doc package
  * Standards-Version is 4.0.0.4 now

 -- Ondřej Nový <email address hidden>  Mon, 17 Jul 2017 10:29:35 +0200

Available diffs

Superseded in artful-release on 2017-07-19
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
swauth (1.2.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper version to 10
  * Bumped required version of python-pbr to 1.8

 -- Ondřej Nový <email address hidden>  Mon, 21 Nov 2016 16:45:15 +0100

Available diffs

Superseded in zesty-release on 2016-11-22
Deleted in zesty-proposed on 2016-11-23 (Reason: moved to release)
swauth (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Rearranged (build) depends for new upstream release

 -- Ondřej Nový <email address hidden>  Thu, 22 Sep 2016 15:59:07 +0200

Available diffs

Superseded in zesty-release on 2016-11-05
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
swauth (1.1.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * Added Python module import Debian test
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * Use dh_installdocs -A for installing AUTHORS file
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <email address hidden>  Mon, 20 Jun 2016 23:39:53 +0200

Available diffs

Published in trusty-updates on 2016-06-16
Deleted in trusty-proposed (Reason: moved to -updates)
swauth (1.0.4-0ubuntu1.14.04.1) trusty; urgency=medium

  * Use correct timeout parameter (LP: #1582475)
    - d/p/0001-Fixed-to-work-with-newer-Swift.patch: backported a patch
      from upstream to use either the timeout or time parameter to the
      Swift memcache client implementation depending on the version of
      Swift installed.

 -- Billy Olsen <email address hidden>  Tue, 07 Jun 2016 16:53:12 +0200
Obsolete in wily-updates on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to -updates)
swauth (1.0.4-0ubuntu1.15.10.1) wily; urgency=medium

  * Use correct timeout parameter (LP: #1582475)
    - d/p/0001-Fixed-to-work-with-newer-Swift.patch: backported a patch
      from upstream to use either the timeout or time parameter to the
      Swift memcache client implementation depending on the version of
      Swift installed.

 -- Billy Olsen <email address hidden>  Tue, 07 Jun 2016 17:00:48 +0200
Published in xenial-updates on 2016-06-16
Deleted in xenial-proposed (Reason: moved to -updates)
swauth (1.0.4-0ubuntu1.16.04.1) xenial; urgency=medium

  * Use correct timeout parameter (LP: #1582475)
    - d/p/0001-Fixed-to-work-with-newer-Swift.patch: backported a patch
      from upstream to use either the timeout or time parameter to the
      Swift memcache client implementation depending on the version of
      Swift installed.

 -- Billy Olsen <email address hidden>  Tue, 07 Jun 2016 17:09:12 +0200
Superseded in yakkety-release on 2016-07-14
Deleted in yakkety-proposed on 2016-07-15 (Reason: moved to release)
swauth (1.1.0-2) unstable; urgency=medium

  * Vcs urls fixed.
  * Added python-swiftclient dependency.
  * Added dh-python build dependency.
  * Added Debian tests.
  * Standards-Version is 3.9.7 now (no change).

 -- Ondřej Nový <email address hidden>  Fri, 26 Feb 2016 23:22:54 +0100
Superseded in yakkety-release on 2016-05-05
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
swauth (1.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
 -- Logan Rosen <email address hidden>   Mon, 18 Jun 2012 15:21:44 -0400
Superseded in quantal-release on 2012-06-20
Published in precise-release on 2011-12-02
swauth (1.0.2+git20111128-0ubuntu1) precise; urgency=low

  * Initial release.
 -- Chuck Short <email address hidden>   Mon, 28 Nov 2011 13:38:37 -0500
116 of 16 results